/*=======================================================*/
/*  TVQFRAME.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_frame--return TRUE if window has a frame        */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

int pascal TVqry_frame(OBJECT win)
{
   static BYTE frame_query[]  = { S_QUERY(1), QS_FRAME } ;

   TVwin_stream(win,frame_query) ;
   return (frame_query[4] == QS_FRAME) ;
}

/* End of TVQFRAME.C */
